<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/11/2003 *
 * ===============                              Last change: 07/04/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_emails.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Edit all things around email and sending         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Aendern aller Email-Einstellungen                *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

// Remove empty array index
if (!REQUEST_ISSET_POST(('max'))) REQUEST_UNSET_POST(('add_max'));

if (REQUEST_ISSET_POST(('add_max'))) {
	// Save all settings
	$result = SQL_QUERY_ESC("SELECT `id` FROM `{!_MYSQL_PREFIX!}_max_receive` WHERE value='%s' LIMIT 1",
	array(bigintval(REQUEST_POST('max'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 0) {
		// Add this value (including comment)
		SQL_QUERY_ESC("INSERT INTO `{!_MYSQL_PREFIX!}_max_receive` (value, comment) VALUES ('%s','%s')",
		array(bigintval(REQUEST_POST('max')), REQUEST_POST('comment')),__FILE__, __LINE__);
		$content = MAX_VALUE_SAVED;
	} else {
		// Value does alread exists!
		$content = "<span class=\"admin_failed\">{--MAX_VALUE_ALREADY--}</span>";
	}

	// Free memory
	SQL_FREERESULT($result);

	// Display message
	LOAD_TEMPLATE('admin_settings_saved', false, $content);
} elseif ((isFormSent()) && (REQUEST_ISSET_GET('do'))) {
	// Change or delete entries...
	$TEXT = '';
	foreach (REQUEST_POST('id') as $id => $value) {
		// Secure ID
		$id = bigintval($id);

		switch (REQUEST_GET('do'))
		{
			case 'edit': // Change entries
				SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_max_receive` SET value='%s', comment='%s' WHERE `id`=%s LIMIT 1",
				array(
				bigintval(REQUEST_POST('val', $id)),
				REQUEST_POST('comm', $id),
				$id
				),__FILE__, __LINE__);
				$TEXT = MRECEIVE_SAVED;
				break;

			case 'del':
				SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_max_receive` WHERE `id`=%s LIMIT 1",
				array($id), __FILE__, __LINE__);
				$TEXT = MRECEIVE_DELETED;
				break;
		}
	}

	if (isset($TEXT)) {
		// Display message
		LOAD_TEMPLATE('admin_settings_saved', false, $TEXT);
	}
} elseif ((REQUEST_ISSET_POST('del')) && (countPostSelection() > 0)) {
	// Delete entries
	$OUT = ''; $SW = 2;
	foreach (REQUEST_POST('sel') as $id => $value)
	{
		// Load data
		$result = SQL_QUERY_ESC("SELECT value, comment FROM `{!_MYSQL_PREFIX!}_max_receive` WHERE `id`=%s LIMIT 1",
		array(bigintval($id)), __FILE__, __LINE__);
		list($value, $comment) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		// Prepare data for the row template
		$content = array(
			'sw'      => $SW,
			'id'      => $id,
			'value'   => $value,
			'comment' => $comment,
		);

		// Load row template and switch color
		$OUT .= LOAD_TEMPLATE("admin_config_email_del_row", true, $content);
		$SW = 3 - $SW;
	}
	define('__ROWS', $OUT);

	// Load main template
	LOAD_TEMPLATE("admin_config_email_del");
} elseif ((REQUEST_ISSET_POST('edit')) && (countPostSelection() > 0)) {
	// Edit entries
	$OUT = ''; $SW = 2;
	foreach (REQUEST_POST('sel') as $id => $value) {
		// Load data
		$result = SQL_QUERY_ESC("SELECT value, comment FROM `{!_MYSQL_PREFIX!}_max_receive` WHERE `id`=%s LIMIT 1",
		array(bigintval($id)), __FILE__, __LINE__);
		list($value, $comment) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		// Prepare data for the row template
		$content = array(
			'sw'      => $SW,
			'id'      => $id,
			'value'   => $value,
			'comment' => $comment,
		);

		// Load row template and switch color
		$OUT .= LOAD_TEMPLATE("admin_config_email_edit_row", true, $content);
		$SW = 3 - $SW;
	}
	define('__ROWS', $OUT);

	// Load main template
	LOAD_TEMPLATE("admin_config_email_edit");
} else {
	$result = SQL_QUERY("SELECT id, value, comment FROM `{!_MYSQL_PREFIX!}_max_receive` ORDER BY value",
	__FILE__, __LINE__);
	if (SQL_NUMROWS($result) > 0) {
		// List already existing entries for editing
		$OUT = ''; $SW = 2;
		while ($content = SQL_FETCHARRAY($result)) {
			// Prepare data for the row template
			$content['sw'] = $SW;

			// Load row template and switch color
			$OUT .= LOAD_TEMPLATE("admin_config_email_row", true, $content);
			$SW = 3 - $SW;
		} // END - while

		// Free memory
		SQL_FREERESULT($result);
		define('__ROWS', $OUT);

		// Load main template
		LOAD_TEMPLATE("admin_config_email");
	} // END - if

	// Display form
	LOAD_TEMPLATE("admin_add_max");
}

//
?>
