<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/19/2003 *
 * ===============                              Last change: 09/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-reflinks.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Referal links                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Referal-Links                                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
} elseif (!IS_MEMBER()) {
	redirectToUrl('modules.php?module=index');
}

// Add description as navigation point
ADD_DESCR('member', __FILE__);

// Load current referal clicks
$result = SQL_QUERY_ESC("SELECT ref_clicks FROM `{!_MYSQL_PREFIX!}_user_data` WHERE userid=%s LIMIT 1",
array(getUserId()), __FILE__, __LINE__);
list($c) = SQL_FETCHROW($result);
SQL_FREERESULT($result);

OUTPUT_HTML("<div class=\"tiny\">{--YOUR_PERSONAL_REFLINK--}:<br />
<strong><a href=\"{!URL!}/ref.php?refid=".getUserId()."\" target=\"_blank\">{!URL!}/ref.php?ref=".getUserId()."</a></strong><br />
<br />");

if (EXT_IS_ACTIVE('nickname')) {
	// Add nickname link when nickname is entered
	$nick = NICKNAME_GET_NICK(getUserId());

	if (!empty($nick)) {
		// Display nickname link
		OUTPUT_HTML("{--NICKNAME_YOUR_REFLINK--}:<br />
<strong><a href=\"{!URL!}/ref.php?ref=".$nick."\" target=\"_blank\">{!URL!}/ref.php?ref=".$nick."</a></strong><br />
<br />");
	} else {
		// Display link to nickname form
		OUTPUT_HTML("<div class=\"guest_note\">{--NO_NICKNAME_SET--}</strong><br />
<a class=\"tiny\" href=\"{!URL!}/modules.php?module=login&amp;what=nickname\">{--PLEASE_CLICK_NICKNAME_FORM--}</a>");
	}
}

// Clicks on your reflink
OUTPUT_HTML("{--YOUR_REFCLICKS--}: <strong>".$c."</strong> {--CLICKS--}</div><br /><br />");
$whereStatement = " WHERE `visible`='Y'";
if (IS_ADMIN()) $whereStatement = '';
$result = SQL_QUERY("SELECT id, url, alternate, counter, clicks FROM `{!_MYSQL_PREFIX!}_refbanner`", __FILE__, __LINE__);

if (SQL_NUMROWS($result) > 0) {
	// List available ref banners
	$OUT = ''; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		$test = str_replace(constant('URL'), constant('PATH'), $content['url']); $size = 0;
		if ($test == $content['url']) {
			// Download banner (I hope you keep the banner on same server???)
			$fp = sendGetRequest($content['url']); $bannerContent = '';
			if ((!empty($fp)) && (is_array($fp)) && (count($fp) > 0)) {
				// Loads only found banner, when there is a 404 error this foreach() command
				// will cause an "Invalid argument supplied for foreach()" error
				foreach ($fp as $f) {
					$bannerContent .= $f;
				}
			}
			$size = strlen($bannerContent);
		} elseif (isFileReadable($test)) {
			$size = filesize($test);
		}

		if ($size > 0) $content['alternate'] .= " (".translateComma(round($size/102.4)/10)." {--KBYTES--})";

		// Load banner data
		// @TODO Rewritings: alt->alternate,cnt->counter,cks->clicks,uid->userid in template
		$content = array(
			'sw'  => $SW,
			'url' => $content['url'],
			'alt' => $content['alternate'],
			'cnt' => $content['counter'],
			'cks' => $content['clicks'],
			'uid' => getUserId(),
			'id'  => $content['id'],
		);

		// Add row
		$OUT .= LOAD_TEMPLATE("member_reflinks_row", true, $content);

		// Switchcolors
		$SW = 3 - $SW;
	}

	define('__REFLINKS_ROWS', $OUT);

	// Load final template
	LOAD_TEMPLATE("member_reflinks_table", false, getUserId());
} else {
	// No refbanner found!
	LOAD_TEMPLATE('admin_settings_saved', false, getMessage('MEMBER_NO_REFBANNER_FOUND'));
}

// Free result
SQL_FREERESULT($result);

//
?>
